Bug 146048 - Web Inspector: Improve a few more node preview types
Summary: Web Inspector: Improve a few more node preview types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Joseph Pecoraro
URL:
Keywords: DoNotImportToRadar
Depends on: 146114
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-16 22:50 PDT by Joseph Pecoraro
Modified: 2015-06-18 12:22 PDT (History)
8 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (2.59 KB, patch)
2015-06-16 22:51 PDT, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2015-06-16 22:50:09 PDT
* SUMMARY
Improve a few more node preview types (comment, and doctype).

* TEST
js> [document.createElement("div"), document.createComment("test"), document.doctype, document, document.createTextNode("text"), document.createDocumentFragment(), document.createAttribute("attr")]

We should make the comment and doctype nodes appear nicer than we currently do.
Comment 1 Joseph Pecoraro 2015-06-16 22:51:22 PDT
Created attachment 255001 [details]
[PATCH] Proposed Fix

I considered improving

    #text "foo"

To also have a red string for "foo", but decided against it, we didn't previously in any case.
Comment 2 WebKit Commit Bot 2015-06-17 14:35:16 PDT
Comment on attachment 255001 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 255001

Committed r185671: <http://trac.webkit.org/changeset/185671>
Comment 3 WebKit Commit Bot 2015-06-17 14:35:20 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 WebKit Commit Bot 2015-06-18 10:09:11 PDT
Re-opened since this is blocked by bug 146114
Comment 6 Joseph Pecoraro 2015-06-18 12:22:33 PDT
Re-landed in:
http://trac.webkit.org/changeset/185716